Name:           lxde-common
Version:        0.3.2.1
Release:        4%{?dist}
Summary:        Settings manager for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
Patch0:         %{name}-0.3.2.1-lxpanel-config.patch
Patch1:         %{name}-0.3.2.1-openbox.patch
Patch2:         %{name}-0.3.2.1-pcmanfm.patch
# Because of new gdm
# http://icculus.org/cgi-bin/ezmlm/ezmlm-cgi?24:mss:5608:200804:keopkmedognljeggknac
Patch4:         %{name}-0.3.2.1-gdm-number-of-desktops.patch
# Vendor specific patches
Patch10:         %{name}-0.3.2.1-vendor.patch
# Pulseaudio
Patch11:         %{name}-0.3.2.1-pulseaudio.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pkgconfig glib2-devel libX11-devel
Requires:       lxsession lxpanel pcmanfm openbox xdg-utils
Requires:       %{name}-data = %{version}-%{release}
# Use vendor's artwork
Requires:       gtk-nodoka-engine fedora-icon-theme system-logos
%if 0%{?fedora} < 9
Requires:       desktop-backgrounds-basic
%else
Requires:       desktop-backgrounds-compat
# needed for new gdm workaround
Requires:       wmctrl
%endif


%description
This package the settings-manger for LXDE, the Lightweight X11 Desktop 
Environment.

%package        data
Summary:        Default configuration files for LXDE
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    data
This package contains the configuration files for LXDE, the Lightweight X11 
Desktop Environment.

%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%if 0%{?fedora} > 8
%patch4 -p1 -b .gdm-desktops
%endif
%patch10 -p1 -b .vendor
%patch11 -p1 -b .pulseaudio


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# the icon theme is packaged in a different package
rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/nuoveXT2/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%{_bindir}/lxde-settings

%files data
%defattr(-,root,root,-)
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/default
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/config

%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde

%{_datadir}/lxde/
%{_datadir}/lxpanel/profile/LXDE/
%{_mandir}/man1/*.1.gz
%{_usr}/share/xsessions/LXDE.desktop



%changelog
* Fri Mar 06 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-4
- Workaround for new gdm
- Addd Pulseaudio support
- Add mixer plugin to the panel
- Require xdg-utils

* Fri Oct 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-3
- Require fedora-icon-theme and system-logos

* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-2
- Rebase patches for rpm's new fuzz=0 behaviour

* Thu Jul 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-1
- Update to 0.3.2.1
- Switch from ROXTerm to LXterminal
- Rebased most patches
- Add mixer to the panel 

* Mon Apr 14 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-2
- Make a separate package for lxde-icon-theme

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-1
- Update to 0.3.0.1
- Use distros default artwork

* Sat Mar 29 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.0-1
- Initial Fedora RPM
- Use roxterm instead of gnome-terminal and xterm
- Patch default panel config
